gnutls_pkcs11_obj_get_info(3)

NAME
gnutls_pkcs11_obj_get_info - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_obj_get_info(gnutls_pkcs11_obj_t obj, gnutls_pkcs11_obj_info_t itype, void * output, size_t * output_size);

ARGUMENTS

gnutls_pkcs11_obj_t obj
    should contain a gnutls_pkcs11_obj_t type

gnutls_pkcs11_obj_info_t itype
    Denotes the type of information requested

void * output
    where output will be stored

size_t * output_size
    contains the maximum size of the output buffer and will be overwritten with the actual size.

DESCRIPTION
This function will return information about the PKCS11 certificate such as the label, id as well as token information where the key is stored. When output is text, a null terminated string is written to output and its string length is written to output_size (without null terminator). If the buffer is too small, output_size will contain the expected buffer size (with null terminator for text) and return GNUTLS_E_SHORT_MEMORY_BUFFER. In versions previously to 3.6.0 this function included the null terminator to output_size . After 3.6.0 the output size doesn't include the terminator character.

RETURNS
GNUTLS_E_SUCCESS (0) on success or a negative error code on error.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/